<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! technology_software_firm_has_page_header() ) {
    return;
}

$technology_software_firm_classes = array( 'page-header' );
$technology_software_firm_style = technology_software_firm_page_header_style();

if ( $technology_software_firm_style ) {
    $technology_software_firm_classes[] = $technology_software_firm_style . '-page-header';
}

$technology_software_firm_visibility = get_theme_mod( 'technology_software_firm_page_header_visibility', 'all-devices' );

if ( 'hide-all-devices' === $technology_software_firm_visibility ) {
    // Don't show the header at all
    return;
}

if ( 'hide-tablet' === $technology_software_firm_visibility ) {
    $technology_software_firm_classes[] = 'hide-on-tablet';
} elseif ( 'hide-mobile' === $technology_software_firm_visibility ) {
    $technology_software_firm_classes[] = 'hide-on-mobile';
} elseif ( 'hide-tablet-mobile' === $technology_software_firm_visibility ) {
    $technology_software_firm_classes[] = 'hide-on-tablet-mobile';
}

$technology_software_firm_PAGE_TITLE_background_color = get_theme_mod('technology_software_firm_page_title_background_color_setting', '');

// Get the toggle switch value
$technology_software_firm_background_image_enabled = get_theme_mod('technology_software_firm_page_header_style', true);

// Add background image to the header if enabled
$technology_software_firm_background_image = get_theme_mod( 'technology_software_firm_page_header_background_image', '' );
$technology_software_firm_background_height = get_theme_mod( 'technology_software_firm_page_header_image_height', '200' );
$technology_software_firm_inline_style = '';

if ( $technology_software_firm_background_image_enabled && ! empty( $technology_software_firm_background_image ) ) {
    $technology_software_firm_inline_style .= 'background-image: url(' . esc_url( $technology_software_firm_background_image ) . '); ';
    $technology_software_firm_inline_style .= 'height: ' . esc_attr( $technology_software_firm_background_height ) . 'px; ';
    $technology_software_firm_inline_style .= 'background-size: cover; ';
    $technology_software_firm_inline_style .= 'background-position: center center; ';

    // Add the unique class if the background image is set
    $technology_software_firm_classes[] = 'has-background-image';
}

$technology_software_firm_classes = implode( ' ', $technology_software_firm_classes );
$technology_software_firm_heading = get_theme_mod( 'technology_software_firm_page_header_heading_tag', 'h2' );
$technology_software_firm_heading = apply_filters( 'technology_software_firm_page_header_heading', $technology_software_firm_heading );

?>

<?php do_action( 'technology_software_firm_before_page_header' ); ?>

<header class="<?php echo esc_attr( $technology_software_firm_classes ); ?>" style="<?php echo esc_attr( $technology_software_firm_inline_style ); ?> background-color: <?php echo esc_attr($technology_software_firm_PAGE_TITLE_background_color); ?>;">

    <?php do_action( 'technology_software_firm_before_page_header_inner' ); ?>

    <div class="asterthemes-wrapper page-header-inner">

        <?php if ( technology_software_firm_has_page_header() ) : ?>

            <<?php echo esc_attr( $technology_software_firm_heading ); ?> class="page-header-title">
                <?php echo wp_kses_post( technology_software_firm_get_page_title() ); ?>
            </<?php echo esc_attr( $technology_software_firm_heading ); ?>>

        <?php endif; ?>

        <?php if ( function_exists( 'technology_software_firm_breadcrumb' ) ) : ?>
            <?php technology_software_firm_breadcrumb(); ?>
        <?php endif; ?>

    </div><!-- .page-header-inner -->

    <?php do_action( 'technology_software_firm_after_page_header_inner' ); ?>

</header><!-- .page-header -->

<?php do_action( 'technology_software_firm_after_page_header' ); ?>